Class | RSS::Maker::RSS10::Channel
In: | rss/maker/image.rb rss/maker/dublincore.rb rss/maker/1.0.rb
Parent: | Object

### Methods

have_required_values? to_rss

### Classes and Modules

Class RSS::Maker::RSS10::Channel::Categories
Class RSS::Maker::RSS10::Channel::Cloud
Class RSS::Maker::RSS10::Channel::ImageFavicon
Class RSS::Maker::RSS10::Channel::SkipDays
Class RSS::Maker::RSS10::Channel::SkipHours

### Public Instance methods

have_required_values?()

[Source]

    # File rss/maker/1.0.rb, line 48
            def have_required_values?
              @about and @title and @link and @description
            end

to_rss(rss)

[Source]

    # File rss/maker/1.0.rb, line 28
            def to_rss(rss)
              set = false
              if @about
                channel = RDF::Channel.new(@about)
                set = setup_values(channel)
                if set
                  channel.dc_dates.clear
                  rss.channel = channel
                  setup_items(rss)
                  setup_image(rss)
                  setup_textinput(rss)
                  setup_other_elements(rss)
                end
              end

              if (!@about or !set) and variable_is_set?
                raise NotSetError.new("maker.channel", not_set_required_variables)
              end
            end

[Validate]